Bug 815052 - [abrt] audacity-2.0.0-1.fc16: Process /usr/bin/audacity was killed by signal 11 (SIGSEGV)
[abrt] audacity-2.0.0-1.fc16: Process /usr/bin/audacity was killed by signal ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Manuel F Martinez
Fedora Extras Quality Assurance
abrt_hash:5a4241ed4316b472466d8ec0d0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 04:35 EDT by Roger Berg
Modified: 2012-09-17 18:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (14.03 KB, text/plain)
2012-04-22 04:35 EDT, Roger Berg
no flags Details
File: maps (60.46 KB, text/plain)
2012-04-22 04:35 EDT, Roger Berg
no flags Details
File: backtrace (51.53 KB, text/plain)
2012-04-22 04:35 EDT, Roger Berg
no flags Details

  None (edit)
Description Roger Berg 2012-04-22 04:35:10 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        audacity
comment:        I had two audacities open and wanted to close one of them...
crash_function: AudacityProject::OnCloseWindow
executable:     /usr/bin/audacity
kernel:         3.3.1-5.fc16.x86_64
pid:            811
pwd:            /home/roger
reason:         Process /usr/bin/audacity was killed by signal 11 (SIGSEGV)
time:           sön 22 apr 2012 01.45.06
uid:            1000
username:       roger

backtrace:      Text file, 52768 bytes
dso_list:       Text file, 14364 bytes
maps:           Text file, 61913 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=linux.server
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=99b7d8155ed9a463e28580980000000a-1334822304.982376-915187608
:GNOME_KEYRING_CONTROL=/tmp/keyring-L6lYda
:IMSETTINGS_MODULE=none
:USER=roger
:USERNAME=roger
:MAIL=/var/spool/mail/roger
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/roger/.local/bin:/home/roger/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/roger
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1439
:LANG=sv_SE.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/roger
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=roger
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nUmI09LK8Y,guid=57dc44da25a4195962f0afe300000055
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/roger
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-roger-jvKgKR/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1447,unix/unix:/tmp/.ICE-unix/1447
:SSH_AUTH_SOCK=/tmp/keyring-L6lYda/ssh
:GPG_AGENT_INFO=/tmp/keyring-L6lYda/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1661-linux.server-audacity-11_TIME186811469
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-audacity.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=811

smolt_data:
:
:
:Allmänt
:=================================
:UUID: 4763ef5d-978a-4066-a80f-bd23b6fd49f9
:OS: Fedora release 16 (Verne)
:Standardkörnivå: Unknown
:Språk: sv_SE.UTF-8
:Plattform: x86_64
:BogoMIPS: 6027.62
:CPU-leverantör: AuthenticAMD
:CPU-modell: AMD Athlon(tm) II X2 250 Processor
:CPU-stegning: 2
:CPU-familj: 16
:CPU-modellnummer: 6
:Antal CPU:er: 2
:CPU-hastighet: 3000
:Systemminne: 1750
:Systemväxlingsutrymme: 5567
:Leverantör: Gigabyte Technology Co., Ltd.
:System: GA-MA785GT-UD3H 
:Fomfaktor: Desktop
:Kärna: 3.3.1-5.fc16.x86_64
:SELinux aktiverat: 1
:SELinux-policy: targeted
:SELinux upprätthålls: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Enheter
:=================================
:(4098:17296:5208:45058) pci, ahci, STORAGE, GA-MA770-DS3rev2.0 Motherboard
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:41218) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38672:5208:53248) pci, radeon, VIDEO, RS880 [Radeon HD 4200]
:(4098:38671:5208:38415) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filsystemsinformation
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 13081819 7490933 6835573 3276800 3039396 3039396
:/dev/sdc1 WITHHELD ext3 4096 4096 239614417 72760413 60589278 60858368 60652635 60652635
:/dev/sda5 /home ext4 4096 4096 107842241 13567428 8169438 26992640 26901562 26901562
:/dev/sda1 /boot ext4 1024 1024 508745 410232 384632 128016 127786 127786
:/dev/sdb1 WITHHELD ext3 4096 4096 120176204 6448289 343489 61063168 61000857 61000857
:

var_log_messages:
:Apr 22 01:45:06 linux kernel: [229686.745292] audacity[811]: segfault at 0 ip 00000000005893ce sp 00007fff251e6580 error 4 in audacity[400000+631000]
:Apr 22 01:45:09 linux abrt[9079]: Saved core dump of pid 811 (/usr/bin/audacity) to /var/spool/abrt/ccpp-2012-04-22-01:45:06-811 (84860928 bytes)
Comment 1 Roger Berg 2012-04-22 04:35:15 EDT
Created attachment 579262 [details]
File: dso_list
Comment 2 Roger Berg 2012-04-22 04:35:17 EDT
Created attachment 579263 [details]
File: maps
Comment 3 Roger Berg 2012-04-22 04:35:20 EDT
Created attachment 579264 [details]
File: backtrace
Comment 4 David Timms 2012-06-17 07:12:19 EDT
Hi, Roger, any chance can you remember your actions leading to this crash in audacity ?

What was the visual result in the UI ?

Is it repeatable ?
Comment 5 Fedora Update System 2012-08-29 08:04:02 EDT
audacity-2.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/audacity-2.0.2-1.fc17
Comment 6 Fedora Update System 2012-08-29 08:24:38 EDT
audacity-2.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/audacity-2.0.2-1.fc16
Comment 7 Fedora Update System 2012-08-29 20:52:06 EDT
Package audacity-2.0.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audacity-2.0.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12952/audacity-2.0.2-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-04 09:35:15 EDT
audacity-2.0.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/audacity-2.0.2-2.fc16
Comment 9 Fedora Update System 2012-09-04 09:35:44 EDT
audacity-2.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/audacity-2.0.2-2.fc17
Comment 10 Fedora Update System 2012-09-04 09:36:09 EDT
audacity-2.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audacity-2.0.2-2.fc18
Comment 11 Fedora Update System 2012-09-17 13:22:12 EDT
audacity-2.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-17 14:01:16 EDT
audacity-2.0.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-17 18:33:33 EDT
audacity-2.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.